Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/firejail: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Tue, 10 May 2016 17:44:23 +0000

https://firejail.wordpress.com/

Firejail is a SUID program that reduces the risk of security breaches
by restricting the running environment of untrusted applications using
Linux namespaces and seccomp-bpf. It allows a process and all its descendants
to have their own private view of the globally shared kernel resources, such as
the network stack, process table, mount table.
---
 testing/firejail/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/firejail/APKBUILD
diff --git a/testing/firejail/APKBUILD b/testing/firejail/APKBUILD
new file mode 100644
index 0000000..886a02b
--- /dev/null
+++ b/testing/firejail/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=firejail
+pkgver=0.9.40_rc1
+_pkgver=${pkgver//_/-}
+pkgrel=0
+pkgdesc="Linux namespaces and seccomp-bpf sandbox"
+url="https://firejail.wordpress.com/"
+arch="all"
+license="GPL2"
+depends="bash"
+depends_dev=""
+makedepends="$depends_dev linux-headers"
+install=""
+options="suid"
+subpackages="$pkgname-doc $pkgname-bash-completion:bashcomp"
+source="$pkgname-$pkgver.tar.gz::https://github.com/netblue30/$pkgname/archive/$_pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$_pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+bashcomp() {
+        depends=""
+        pkgdesc="Bash completions for $pkgname"
+        install_if="$pkgname=$pkgver-r$pkgrel bash"
+        arch="noarch"
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/share "$subpkgdir"/usr/
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="2350813ed6bdb9c237edc8a84b84992a  firejail-0.9.40_rc1.tar.gz"
+sha256sums="c78146cd615c494074dd25d6ddd6befe543ab48b234fa97485e435e1d0abc89e  firejail-0.9.40_rc1.tar.gz"
+sha512sums="bd31e9ee81e2060a9e9c80c3fcdfb01470b5e3f3ce99616089866ee43dc4d858cd24b7067cfe356b48d3d160c876c8fb7d32660e2d315756244c1f1047e27c1f  firejail-0.9.40_rc1.tar.gz"
-- 
2.8.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue May 10 2016 - 17:44:23 GMT